//
//  LocalTeX.m
//  LocalTeX
//
//  Created by Richard Koch on 2/21/14.
//  Copyright (c) 2014 Richard Koch. All rights reserved.
//

#import "LocalTeX.h"

@implementation LocalTeX: NSPreferencePane

- (void)mainViewDidLoad
{
    NSFileManager *myFileManager;
    NSString      *texPath, *fullPath;
    BOOL          fileExists, directoryExists;
    
    myFileManager = [NSFileManager defaultManager];
    
    // Create ~/Library/TeX/LocalTeX if necessary
    texPath = [@"~/Library/TeX" stringByExpandingTildeInPath];
    fileExists = [myFileManager fileExistsAtPath: texPath isDirectory: &directoryExists];
    if ((fileExists) && (! directoryExists)) {
        [myTableControl errorTeXDirectory];
        return; // put up error message
    }
    if ( ! fileExists) {
        [myFileManager createDirectoryAtPath:texPath withIntermediateDirectories: NO attributes:nil error: NULL];
    }
    fullPath = [@"~/Library/TeX/LocalTeX" stringByExpandingTildeInPath];
    fileExists = [myFileManager fileExistsAtPath: fullPath isDirectory: &directoryExists];
    if ((fileExists) && (! directoryExists)) {
        [myTableControl errorLocalTeXDirectory];
        return; // put up error message
    }
    if ( ! fileExists) {
        [myFileManager createDirectoryAtPath:fullPath withIntermediateDirectories: NO attributes:nil error: NULL];
    }
    
    myTableControl.enginePath = [[self bundle] pathForResource:@"calldefaults" ofType:nil];
    
    [myTableControl registerForDrags];
    [myTableControl fillTable];
}

@end
